import { type AddPathOptions } from "envosman";
import type { InstallationInfo } from "./InstallationInfo.js";
export type SetupBrewOptions = {
    /** Options for adding the brew path to the rc file */
    rcOptions?: AddPathOptions;
    /** (Unsupported option) The version of brew to install */
    version?: never;
    /** (Unsupported option) The directory where brew should be installed */
    setupDir?: never;
    /** (Unsupported option) The architecture of the system */
    arch?: never;
};
export declare function setupBrew(options?: SetupBrewOptions): Promise<InstallationInfo | undefined>;
/**
 * Get the path where brew is installed
 * @returns {string} The path where brew is installed
 *
 * Based on the installation script from https://brew.sh
 */
export declare function getBrewBinDir(): "/opt/homebrew/bin/" | "/usr/local/bin/" | "/home/linuxbrew/.linuxbrew/bin/";
